/* $Id: Mode.java 521 2012-07-12 16:49:07Z shayashi $ */
package smart_gs.drawing_tool.drawing_mode;

import java.awt.Graphics;

import smart_gs.drawing_tool.SpreadCanvas;
import smart_gs.swingui.GSMouseEvent;

public interface Mode {
	public void mouseClicked(GSMouseEvent e,SpreadCanvas canvas);
	public void mouseEntered(GSMouseEvent e,SpreadCanvas canvas);
	public void mouseExited(GSMouseEvent e,SpreadCanvas canvas) ;    
	public void mousePressed(GSMouseEvent e,SpreadCanvas canvas);
	public void mouseReleased(GSMouseEvent e,SpreadCanvas canvas); 
	public void mouseDragged(GSMouseEvent e,SpreadCanvas canvas); 
	public void mouseMoved(GSMouseEvent e,SpreadCanvas canvas) ;
	public void paint(Graphics g,SpreadCanvas canvas);
	public void cancel();
	public void setTemporary(boolean sw);
	public boolean isTemporary();
}